Credentials on File
Get credentials
Get a list of credentials on file which belong to this account.
The results are grouped into pages. The caller can specify how many customers per page shall be listed (maximum is 500).
GET
/
credentials
Get credentials
curl --request GET \
--url https://sandbox.hellgate.io/credentials \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.hellgate.io/credentials"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.hellgate.io/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.hellgate.io/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.hellgate.io/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.hellgate.io/credentials")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.hellgate.io/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "card",
"id": "9a3e5c7f-1b8d-4f2a-b6e4-8c1d7f3a9e5b",
"created_at": "2025-11-20T15:30:00Z",
"cardholder_name": "Jane Holder",
"expiry_month": 4,
"expiry_year": 2028,
"masked_account_number": "411111******1111",
"issuer": {
"account": {
"funding": "credit",
"country_code": "US",
"currency": "EUR"
},
"identification_number": "411111",
"name": "Example Bank",
"scheme": "visa",
"segment": "consumer"
}
}
],
"pagination": {
"current_page": 1,
"page_size": 1,
"total_items": 1,
"total_pages": 1
}
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}Query Parameters
⌘I
Get credentials
curl --request GET \
--url https://sandbox.hellgate.io/credentials \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.hellgate.io/credentials"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.hellgate.io/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.hellgate.io/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.hellgate.io/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.hellgate.io/credentials")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.hellgate.io/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "card",
"id": "9a3e5c7f-1b8d-4f2a-b6e4-8c1d7f3a9e5b",
"created_at": "2025-11-20T15:30:00Z",
"cardholder_name": "Jane Holder",
"expiry_month": 4,
"expiry_year": 2028,
"masked_account_number": "411111******1111",
"issuer": {
"account": {
"funding": "credit",
"country_code": "US",
"currency": "EUR"
},
"identification_number": "411111",
"name": "Example Bank",
"scheme": "visa",
"segment": "consumer"
}
}
],
"pagination": {
"current_page": 1,
"page_size": 1,
"total_items": 1,
"total_pages": 1
}
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}